
Foreman - Bug #23377

Audits - changes to external group membership are not audited

04/24/2018 08:20 AM - roman plevka

Status: Closed   

Priority: Normal   

Assignee: Kavita Gaikwad   

Category: Audit Log   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5555

  

Description

There should be an audit record created while using external auth source and the external group membership changes for a user (on

the remote side)

- set up an external auth source (e.g. freeIPA)

- create a user on it

- create an external group on it

- login with the external user id

- (the user should be created)

- on foreman, create a user group and map it to the external group you created

- hit refresh to load the user mappings (the ext. user should be added to the UG)

- now, on the external auth source, remove the user from the group

- on foreman, navigate to the UG and at the external group mapping tab, hit refresh again

- (the user should be removed from the group)

- list all audits and notice, the action is not audited at all

Related issues:

Related to Foreman - Tracker #21879: [TRACKER] Audit every possible resource New 12/06/2017

Associated revisions

Revision c68cefa6 - 06/08/2018 10:31 AM - Kavita Gaikwad

Fixes #23377 - audit external group membership changes (#5555)

History

#1 - 04/24/2018 04:13 PM - Kavita Gaikwad

- Related to Tracker #21879: [TRACKER] Audit every possible resource added

#2 - 05/14/2018 01:16 PM - Kavita Gaikwad

- Assignee set to Kavita Gaikwad

#3 - 05/14/2018 01:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5555 added

#4 - 06/08/2018 11:01 AM - Kavita Gaikwad

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c68cefa621ca61a9406cedf7653fc9135c3e5534.
